createOrUpdateProjectTemplate
Create or update project template
createOrUpdateProjectTemplate(
input: CreateOrUpdateProjectTemplateInput!
): CreateOrUpdateProjectTemplatePayload
Arguments
createOrUpdateProjectTemplate.input ● CreateOrUpdateProjectTemplateInput! non-null input
Parameters for CreateOrUpdateProjectTemplate
Type
CreateOrUpdateProjectTemplatePayload object
Autogenerated return type of CreateOrUpdateProjectTemplate.
Example request
This generated mutation uses placeholders for required values. Replace them with values available to your API key before running it.
Run the companies query first and use data.companies.collection[].id as companyId.
- cURL
- JavaScript
- Python
curl --request POST https://api.convisoappsec.com/graphql \
--header "x-api-key: $CONVISO_API_KEY" \
--header "content-type: application/json" \
--data '{"query":"mutation MutateCreateOrUpdateProjectTemplate($input: CreateOrUpdateProjectTemplateInput!) {\n createOrUpdateProjectTemplate(input: $input) { clientMutationId projectTemplate { id label company { __typename } } }\n}","variables":{"input":{"companyId":"<company_id>","label":"example","goal":"example","projectTypeId":"<project_type_id>"}}}'
const response = await fetch('https://api.convisoappsec.com/graphql', {
method: 'POST',
headers: {
'content-type': 'application/json',
'x-api-key': process.env.CONVISO_API_KEY,
},
body: JSON.stringify({
query: "mutation MutateCreateOrUpdateProjectTemplate($input: CreateOrUpdateProjectTemplateInput!) {\n createOrUpdateProjectTemplate(input: $input) { clientMutationId projectTemplate { id label company { __typename } } }\n}",
variables: {
"input": {
"companyId": "<company_id>",
"label": "example",
"goal": "example",
"projectTypeId": "<project_type_id>"
}
},
}),
});
const { data, errors } = await response.json();
if (errors) throw new Error(errors.map(({ message }) => message).join(', '));
console.log(data);
import json
import os
import requests
response = requests.post(
'https://api.convisoappsec.com/graphql',
headers={
'content-type': 'application/json',
'x-api-key': os.environ['CONVISO_API_KEY'],
},
json={
'query': "mutation MutateCreateOrUpdateProjectTemplate($input: CreateOrUpdateProjectTemplateInput!) {\n createOrUpdateProjectTemplate(input: $input) { clientMutationId projectTemplate { id label company { __typename } } }\n}",
'variables': json.loads("{\"input\":{\"companyId\":\"<company_id>\",\"label\":\"example\",\"goal\":\"example\",\"projectTypeId\":\"<project_type_id>\"}}"),
},
timeout=30,
)
response.raise_for_status()
payload = response.json()
if payload.get('errors'):
raise RuntimeError(payload['errors'])
print(payload['data'])
Contribute to the Docs
Found something outdated or missing? Help us improve the documentation with a quick suggestion or edit.
How to contributeResources
By exploring our content, you'll find resources that will enhance your understanding of the importance of a Security Application Program.
Conviso Blog: Explore our blog, which offers a collection of articles and posts covering a wide range of AppSec topics. The content on the blog is primarily in English.
Conviso's YouTube Channel: Access a wealth of informative videos covering various topics related to AppSec. Please note that the content is primarily in Portuguese.